pcl::poisson::OctNode< NodeData, Real >::ConstNeighbors3 Class Reference

`#include <pcl/surface/3rdparty/poisson4/octree_poisson.h>`

## Public Member Functions

| ConstNeighbors3 (void)
void | clear (void)

## Public Attributes

const OctNode * | neighbors [3][3][3]

## Detailed Description

### template<class NodeData, class Real = float>
class pcl::poisson::OctNode< NodeData, Real >::ConstNeighbors3

Definition at line 215 of file octree_poisson.h.

## Constructor & Destructor Documentation

template<class NodeData , class Real >

pcl::poisson::OctNode< NodeData, Real >::ConstNeighbors3::ConstNeighbors3 | ( | void |  | ) |

Definition at line 1469 of file octree_poisson.hpp.

References pcl::poisson::OctNode< NodeData, Real >::Neighbors3::clear().

## Member Function Documentation

template<class NodeData , class Real >

void pcl::poisson::OctNode< NodeData, Real >::ConstNeighbors3::clear | ( | void |  | ) |

Definition at line 1471 of file octree_poisson.hpp.

References pcl::poisson::OctNode< NodeData, Real >::Neighbors3::neighbors.

## Member Data Documentation

template<class NodeData, class Real = float>

const OctNode* pcl::poisson::OctNode< NodeData, Real >::ConstNeighbors3::neighbors[3][3][3]

Definition at line 218 of file octree_poisson.h.

Referenced by pcl::poisson::Octree< Degree >::GetMCIsoTriangles(), and pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey3::set().

The documentation for this class was generated from the following files:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/octree_poisson.h
- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/octree_poisson.hpp